Sass和Compass的安装

来源:http://www.chinese-glasses.com 作者:Web前端 人气:58 发布时间:2020-03-31
摘要:无论使用哪一种都需要先安装 Sass gem: 如果我们使用的话,可以通过运行新版本来安装: 再输入如下命令安装compass gem install sass 如果电脑中已经安装了Ruby,那么将打印出已经安装好的

无论使用哪一种都需要先安装 Sass gem:

图片 1

如果我们使用的话,可以通过运行新版本来安装:

再输入如下命令安装compass

gem install sass

如果电脑中已经安装了Ruby,那么将打印出已经安装好的Ruby版本号

在命令行中运行 Sass:

一、在Windows系统中安装

Sass 可以有三种方式使用:

二、在Windows系统中安装Sass和Compass

我们可以通过从GITHUB下载操作系统的包并将其添加到您的路径上,在Windows、MAC或Linux上安装SAS。所有这些都没有外部依赖项,也不需要安装其他任何东西。

Windows系统并没有预置,因此如果你之前没有安装过Ruby,现在就需要进行安装

在 Ruby 中使用 Sass 也非常容易,Sass gem 安装完毕后运行require "sass"然后按照下面的方法使用Sass::Engine:

Sass和Compass都是基于Ruby编程语言的命令行工具。要使用它们,你首先需要在电脑中安装Ruby,并对电脑的命令行操作有一个基本的理解。Sass和Compass可以安装在Windows、Mac OSX和Linux系统中。

sass --watch input.scss:output.css

 

使用

安装完ruby之后,在开始菜单中,找到刚才我们安装的ruby,打开Start Command Prompt with Ruby,然后直接在命令行中输入

更多命令的用法请通过sass --help获取帮助。

安装完成后,可以用sass -v查看sass版本

时间: 2019-10-19阅读: 110标签: SassSass的系统需求操作系统 - Sass是独立于平台的浏览器支持 - Sass在Edge/IE(来自IE 8)、Frefox、Chrome、Safari、Opera中工作编程语言 - Sass基于Ruby

3.重新启动命令行窗口,然后输入ruby -v并按下回车键来确认Ruby已经安装完成

在Mac OS X上安装(Homebrew)如果使用Mac OS X的自制软件包管理器,则可以通过运行安装Dart Sass:

 

npm install -g sass

1.打开命令行工具(cmd),输入ruby -v 如果没有安装Ruby,

brew install sass/sass/sass

gem install sass

choco install sass

命令行将显示
'ruby' is not recognized as an internal or external command, operable program or batch file

sass source/stylesheets/index.scss build/stylesheets/index.css

图片 2

本文由10bet发布于Web前端,转载请注明出处:Sass和Compass的安装

关键词:

最火资讯